Loading...
Searching...
No Matches
FilteringInputStream< Extractor > Class Template Reference

`#include <openbabel/lineend.h>`

Inheritance diagram for FilteringInputStream< Extractor >:
[legend]

## Public Types

typedef std::istream & | istream_reference
typedef std::istream | istream_type

## Public Member Functions

| FilteringInputStream (istream_reference istream)
virtual | ~FilteringInputStream ()

## Detailed Description

template<class Extractor>
class OpenBabel::FilteringInputStream< Extractor >

A stream interface for FilteringInputStreambuf.

## Member Typedef Documentation

## istream_reference

template<class Extractor>

typedef std::istream& istream_reference

## istream_type

template<class Extractor>

typedef std::istream istream_type

## Constructor & Destructor Documentation

## FilteringInputStream()

template<class Extractor>

FilteringInputStream | ( | istream_reference | istream | ) |

inline explicit

## ~FilteringInputStream()

template<class Extractor>

virtual ~FilteringInputStream | ( |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- lineend.h